#ifndef COMMANDHANDLER_H
#define COMMANDHANDLER_H
#include "DisplayProxy.h"

/**
 * Parse a JSON command and convert it into a display command
 */
class CommandHandler
{
public:
    explicit CommandHandler(DisplayProxy *display);
    bool parse(const char *cmd);
private:
    void debugWrite(int x, int y, const char *text);
    DisplayProxy *display;

};

#endif